Subject: Re: [PATCH] Add Fixed PHY support for ucc_geth

From: Jeff Garzik <[email-masked]>
Date: Thu, 10 Apr 2008 19:00:04 -0400

Joakim Tjernlund wrote:
> On Wed, 2008-04-02 at 14:15 +0200, Joakim Tjernlund wrote:
>> On Fri, 2008-03-21 at 16:51 +0800, Li Yang wrote:
>>>> -----Original Message-----
>>>> From: Joakim Tjernlund [mailto:[email-masked]] 
>>>> Sent: Tuesday, March 18, 2008 5:47 PM
>>>> To: Netdev; Li Yang; [email-masked]
>>>> Cc: Joakim Tjernlund
>>>> Subject: [PATCH] Add Fixed PHY support for ucc_geth
>>>>
>>>> The new Fixed PHY method, fixed-link property, isn't
>>>> impl. for ucc_geth which makes fixed PHYs non functional.
>>>> Add support for the new method to restore the Fixed PHY
>>>> functionality.
>>>>
>>>> Signed-off-by: Joakim Tjernlund <[email-masked]>
>>> Signed-off-by: Li Yang <[email-masked]>
>>>
>>> ---
>>> Ps: This patch depends on the patch "ucc_geth: use correct thread number
>>> for 10/100Mbps link" to apply, which hasn't made to Linus' tree for now
>>> but has already been in Jeff and David's trees.
>> What happened to this patch? It is not in Linus tree.
>>
>>  Jocke
> 
> David,
> 
> Perhaps you can look into this patch? It has been signedoffed by its
> maintainer and Jeff hasn't commented or applied it.
> 
>  Jocke
> 
>>>From 9851f2cffb2eaa3f3dfa02c07d01a93b1a260d78 Mon Sep 17 00:00:00 2001
> From: Joakim Tjernlund <[email-masked]>
> Date: Tue, 18 Mar 2008 10:33:43 +0100
> Subject: [PATCH] Add Fixed PHY support for ucc_geth
> 
> The new Fixed PHY method, fixed-link property, isn't
> impl. for ucc_geth which makes fixed PHYs non functional.
> Add support for the new method to restore the Fixed PHY
> functionality.
> 
> Signed-off-by: Joakim Tjernlund <[email-masked]>
> ---
> 
> This is a regression as fixed PHYs works in 2.6.23 and I am
> using it.
> 
>  drivers/net/ucc_geth.c |   53 +++++++++++++++++++++++++++--------------------
>  1 files changed, 30 insertions(+), 23 deletions(-)

I missed the maintainer signoff, sorry.  That's what I was waiting for.

Queued...

	Jeff